cc.Class({
    extends: cc.Component,

    properties: {

    },

    // LIFE-CYCLE CALLBACKS:

    onLoad() {
        // this.node.active = false;
    },

    start() {

    },
    onEnable() {
        this.node.rotation = 10;
        this.node.position = new cc.Vec2(this.node.position.x + 70, this.node.position.y + 170);
        this.node.scale = new cc.Vec2(0.3, 0.3);
        this.node.opacity = 0.2;
        var finished = cc.callFunc(function () {
            this.node.active = false;
        }, this);
        var actions = cc.sequence(cc.spawn(cc.scaleTo(0.2, 1), cc.fadeIn(0.2)), cc.fadeOut(0.1), finished);
        this.node.runAction(actions);
    }
    // update (dt) {},
});
